## lakai 0.1

=== Makefile ===

# Makefile for lakai: link library and user programs
# Frank Neumann, February 2004
#

PREFIX=/usr/local

CC=gcc
CFLAGS=-g -Wall -Wstrict-prototypes # add -DDEBUG=1   for debugging
OBJS=lakai.o
LIB=liblakai.a

# These 3 programs should go into one binary some day.
all: $(LIB) lakclear lakbak lakres

progs: lakclear lakbak lakres

lakclear: lakclear.c $(LIB)
	$(CC) $< -o $@ -L. -llakai

lakbak: lakbak.c $(LIB)
	$(CC) $< -o $@ -L. -llakai

lakres: lakres.c $(LIB)
	$(CC) $< -o $@ -L. -llakai

$(LIB): $(OBJS)
	rm -f $@
	ar rcu $@ $<
	ranlib $@

lakai.o: lakai.c lakai.h
	$(CC) $(CFLAGS) -c $< -o $@

install: $(LIB) progs
	install -d $(PREFIX)/bin
	install -m 755 lakbak lakres lakclear $(PREFIX)/bin
	install -d $(PREFIX)/include
	install -m 644 lakai.h $(PREFIX)/include
	install -d $(PREFIX)/lib
	install -m 644 liblakai.a $(PREFIX)/lib
	
uninstall:
	rm -f $(PREFIX)/bin/lakbak
	rm -f $(PREFIX)/bin/lakres
	rm -f $(PREFIX)/bin/lakclear
	rm -f $(PREFIX)/include/lakai.h
	rm -f $(PREFIX)/lib/liblakai.a

clean:
	rm -f *.o $(OBJS) $(LIB) lakclear lakbak lakres

=== debian/changelog ===
lakai (0.1-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Update Vcs-* field
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add d/patches
    - Add patch to honour build-flags
    - Add patch to add missing includes
    - Add patch to install to $(DESTDIR)/usr
  * Switch build system to shortform dh
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Apply 'wrap-and-sort -ast'
  * Bump format to 3.0(quilt)
  * Bump dh compat to 13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 07 Mar 2022 19:31:07 +0100

lakai (0.1-2) unstable; urgency=medium

  * Set maintainer to Debian Multimedia (Closes: #838228)
  * Drop build dependency on dpatch (Closes: #664387)
  * Port debian/copyright to format 1.0
  * Fix various lintian warnings (Closes: #488901)
  * Add Vcs control headers

 -- Free Ekanayaka <freee@debian.org>  Sun, 20 Nov 2016 21:07:22 +0000

lakai (0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/compat:
      - Update level to 9. (Closes: #817516)
  * debian/control:
      - Added Homepage. (Closes: #835651)
      - Bumped level debhelper to 9.
      - Bumped Standards-Version to 3.9.8.
  * debian/watch:
      - Update. (Closes: #449603, #450202).

 -- Gustavo Soares de Lima <gustavo@logicus.com.br>  Wed, 07 Sep 2016 16:41:52 +0000

lakai (0.1-1) unstable; urgency=low

  * First Debian upload (closes: #269190), sponsored by
    Cosimo Alfarano <kalfa@debian.org>
  * Updated Standards-Version to 3.6.1.1

 -- Free Ekanayaka <free@agnula.org>  Wed,  6 Oct 2004 14:56:26 +0200

=== debian/control ===
Source: lakai
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://lakai.sf.net/index.shtml
Vcs-Git: https://salsa.debian.org/multimedia-team/lakai.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/lakai

Package: lakai
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: transfers samples between a PC and an AKAI sampler
 Lakai is a small set of tools (+ a link library) used to transfer sampler
 data (programs, samples) between a PC with a SCSI host adapter and an AKAI
 sampler (S1000, S2000..).
 .
 The current tools allow an easy way to create a full backup of the sampler's
 memory contents to the PC and a full restore of this data back from the PC to
 the sampler.
 .
 Future versions might contain more fine-grained control over the data you
 exchange, but this is still in planning stage.

=== debian/watch ===
version=4
https://sf.net/lakai/lakai-(\d\S+)\.tar\.(?:bz2|gz|xz) debian uupdate
